\graphicspath{ {Figures/} }
\setlength\parindent{0pt}

\AtBeginSection[]
{
	\ifnum \value{framenumber}>-1
	\begin{frame}<beamer>
	\frametitle{Content}
	\setbeamertemplate{section in toc}[sections numbered]
	\tableofcontents[currentsection]
\end{frame}
\else
\fi
}

\makeatletter
\renewcommand{\itemize}[1][]{%
	\beamer@ifempty{#1}{}{\def\beamer@defaultospec{#1}}%
	\ifnum \@itemdepth >2\relax\@toodeep\else
	\advance\@itemdepth\@ne
	\beamer@computepref\@itemdepth% sets \beameritemnestingprefix
	\usebeamerfont{itemize/enumerate \beameritemnestingprefix body}%
	\usebeamercolor[fg]{itemize/enumerate \beameritemnestingprefix body}%
	\usebeamertemplate{itemize/enumerate \beameritemnestingprefix body begin}%
	\list
	{\usebeamertemplate{itemize \beameritemnestingprefix item}}
	{%
		\setlength\topsep{0pt}%NEW
		\setlength\partopsep{0pt}%NEW
		\setlength\itemsep{0pt}%NEW
		\def\makelabel##1{%
			{%
				\hss\llap{{%
						\usebeamerfont*{itemize \beameritemnestingprefix item}%
						\usebeamercolor[fg]{itemize \beameritemnestingprefix item}##1}}%
			}%
		}%
	}
	\fi%
	\beamer@cramped%
	\raggedright%
	\beamer@firstlineitemizeunskip%
}
\makeatother

\newlength{\deflen}
\setlength{\deflen}{\leftmargini}
\newenvironment{itemizeb}{
	\setlength{\leftmargini}{1em}
	\begin{itemize}
		%\setlength{\itemsep}{0.5ex}
		%\setlength{\parskip}{0pt}
		%\setlength{\parsep}{0pt}
		%\addtolength{\itemindent}{-1em}  
	}
	{ \end{itemize} \setlength{\leftmargini}{\deflen}} 

\newlength{\defh}
\setlength{\defh}{\extrarowheight}
%\newcolumntype{C}{>{\centering\arraybackslash} m{5.5em} }
\newenvironment{tabularb}{
	\setlength\extrarowheight{0.5em}
	\begin{tabular}{c c c c}}
	{ \end{tabular} \setlength\extrarowheight{\defh}} 

\newcommand{\fboxc}[2]{%
	\colorlet{currentcolor}{.}%
	{\color{#1}%
		\fbox{\color{currentcolor}#2}}%
}
